/* Estilos gerais */
body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
}

.logo img {
    position: absolute;
    width: 115px;
    height: 100px;
    top: 0;
}

.ativo {
    text-decoration: underline !important;
}


/* Estilos para a barra de pesquisa */
.search-bar {
    /*Define o container para a barra de pesquisa como um 
    "flexbox", alinhando o campo de texto e o botão no centro */

    display: flex;
    /*alinha os elementos dentro 
    (campo de entrada e botão) em uma linha horizontal.*/

    align-items: center;
}
.search-bar input {
    padding: 10px;
    /*Adiciona espaçamento interno ao redor 
    do texto dentro do campo de entrada*/
    border: 2px solid #ccc;
    border-radius: 5px;
    font-size: 16px;
    margin-right: 10px;
    /* Espaço entre o campo de pesquisa e o botão */
}

.search-bar a {
    background-color: #009688 ;
    color: white;
    border: none;
    text-decoration: none;
    padding: 10px 20px;
    /*espaçamento interno ao botão. Isso faz com que ele fique mais "alto" 
    (10px no topo e embaixo) e mais "largo" (20px nas laterais).*/
    border-radius: 5px;
    /*cantos do botão arredondados.*/
    cursor: pointer;
    /*cursor do mouse para uma "mãozinha"*/
}

.search-bar a:hover {
    background-color: #028578;

}
nav.hidden {
    display: none;
}

nav.ativo {
    display: flex;
}


/* Estilos da barra de navegação */
.navbar {
    display: flex;
    /*alinhar os itens em linha*/
    justify-content: space-between;
    /*distribuir o espaço entre o logo, o menu e o botão.*/
    align-items: center;
    padding: 20px;
    background-color: #00655b;
}

nav ul {
    display: flex;
    list-style: none;
    margin: 0;
    padding: 0;
  }

  nav ul li {
    margin: 0 45px;
  }

  nav ul li a {
    text-decoration: none;
    color: #ffffff;
    font-weight: bold;
    text-align: center;
    margin: 20px;
  }

  nav ul li a:hover {
    color: #023807;
  }

.cta-button button {
    background-color: #1a73e8;
    color: white;
    border: none;
    padding: 10px 20px;
    border-radius: 5px;
    cursor: pointer;

}


/* Estilo da seção principal */
.banner-container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 80px;
    background-color: #eaf5ea; /* Fundo branco */
    max-width: 1900px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    text-align: center;
}
    


.hamburguer{
    display: none;
    flex-direction: column;
    cursor: pointer;
}

.hamburguer span{
    width: 30px;
    height: 3px;
    background-color: #ffffff;
    margin: 4px;
    transition: all 0.3s;
}

.userway_buttons_wrapper {
margin-top: 100px;
}

/*final da nav*/

@media (min-width: 768px) {
    nav {
        display: block !important; /* Sempre visível em telas grandes */
    }

    .hamburguer {
        display: none; /* Esconde o botão hambúrguer */
    }
}


/* deixando a nav responsiva para celular */
@media (max-width: 760px) {

    .hamburguer{
        display: flex;
    }

    .navbar{
        width: 100%;

    }
    nav{
        display: none;
    }
    .search-bar{
        display: none;
    }

    nav ul {
        display: flex;
        flex-direction: column;
        align-items: start;
        position: absolute;
        right: 0;
        width: 45%;
        height: 30vh;
        background-color: #00655b;
        top: 70px;

    }
    
    nav ul li {
        margin-right: 10px;
        margin-top: 20px !important;
    }

    nav ul li a {
        padding: 0;
    }

  }

